$('.btn-atualiza').on('click', function(e)
{
    e.preventDefault();
    $('form[name=form-configuracoes]').trigger('submit');
});
    
$("form[name=form-configuracoes]").submit(function(e)
{
    e.preventDefault();
    var parametros = $("form").serializeArray();
    /* parametros.push({name:csrf.name,value:csrf.hash}); */
    
    var target = base_url + 'sistema/configuracoes/update';
    update(parametros, target);
});
 
function update(parametros, target)
{
    request = $.ajax(
    {
        url: target,
        dataType: 'json',
        type: 'POST',
        data: parametros,
        success: function(result)
        {
            if (result.valid == true)
            {
                showModal('Sucesso!', result.retorno, 'success');
            }
            else if (result.valid == false)
            {
                showModal('Erro!', result.retorno, 'danger');
            }
        }
    });
}
    
function validaForm(showResult = true)
{
    empty = 0;
    var image = $('#previewLogo').attr('src').split('/').pop().trim();
    if (image == 'no-logo.png')
    {
        empty++;
        $('#previewLogo').parent().find('.control-label').addClass('text-red');
    }
    else
    {
        $('#previewLogo').parent().find('.control-label').removeClass('text-red');
    }
    $('#myTabContent input[type="text"]').each(function()
    {
        var element = $(this);
        if (element.val() === "" && element.attr('name') !== 'site' && element.attr('name') !== 'telefone' && element.attr('name') !== 'complemento' && element.attr('id') !== 'pac-input' && element.attr('name') !== 'nire_mei' && element.attr('name') !== 'insc_mun')
        {
            if (element.attr('name') === 'insc_est' && $('input[name=check_promotor]').is(':checked') === true)
            {
                empty++;
                $(this).parent().addClass('has-error');
            }
            else if (element.attr('name') !== 'insc_est')
            {
                empty++;
                $(this).parent().addClass('has-error');
            }
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    $('#myTabContent select').each(function()
    {
        if ($(this).val() === "")
        {
            empty++;
            $(this).parent().addClass('has-error');
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    $('#myTabContent input[type="radio"]').each(function()
    {
        var name = $(this).attr("name");
        if ($("input:radio[name=" + name + "]:checked").length === 0)
        {
            empty++;
            $(this).parent().addClass('has-error');
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    $('#myTabContent input[type="number"]').each(function()
    {
        var element = $(this);
        if (element.val() === "")
        {
            empty++;
            $(this).parent().addClass('has-error');
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    $('#myTabContent input[type="tel"]').each(function()
    {
        var element = $(this);
        if (element.val() === "")
        {
            empty++;
            $(this).parent().addClass('has-error');
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    $('#myTabContent textarea').each(function()
    {
        var element = $(this);
        if (element.val().length === 0)
        {
            empty++;
            $(this).parent().addClass('has-error');
        }
        else
        {
            $(this).parent().removeClass('has-error');
        }
    });
    if (empty !== 0 && showResult === true)
    {
        showModal('', '', 'warning');
    }
}